/* Black and white. */
$white: #ffffff;
$white_trans_0: rgba(255, 255, 255, .0);


$black: #0d0b07;
$black_trans_0: rgba(0, 0, 0, 0);

/* Shades of grey. */
$header_foreground: #272727;
$dark_grey: #444444;
$navbar_foreground: #818181;
$dark_foreground: #bebebe;
$light_grey: #f6f6f6;

/*
 * The Beautiful Canoe colour palette.
 * See: https://brand.beautifulcanoe.com/colours/ for details.
 */
$brand_primary: #795548;
$brand_primary_light: #a98274;
$brand_primary_dark: #4b2c20;

$brand_secondary: #8c0e03;
$brand_secondary_light: #c3452d;
$brand_secondary_dark: #590000;

/* Customise navbar colours. */
$navbar-inverse-bg: $brand-primary;
$navbar-inverse-color: $white;
$navbar-inverse-link-color: $white;
$navbar-inverse-link-hover-bg: $brand_secondary_dark;
$navbar-inverse-link-active-bg: $brand_primary_dark;

/*
 * Branded Bootstrap 4 buttons. Out of the box, Bootstrap 4 buttons are
 * low-contrast, which triggers warnings in accessibility tools such as Wave
 * and Lighthouse. Here, we use a colour from our branded palette which
 * passes the accessibility tests, and is higher contrast than the primary and
 * accent colours (to draw the eye to the main action on the site).
 */
$btn-default-color: $white;
$btn-default-bg: $dark_grey;
$btn-default-color-hover: $white;
$btn-default-bg-start: $btn-default-bg;
$btn-default-bg-end: $btn-default-bg;
$btn-default-border: $btn-default-bg;

$btn-primary-color: #fff;
$btn-primary-bg: $brand_secondary;
$btn-primary-bg-start: $btn-primary-bg;
$btn-primary-bg-end: $btn-primary-bg;
$btn-primary-border: $btn-primary-bg;

$btn-primary-inverse-color: $btn-primary-bg;
$btn-primary-inverse-bg: $btn-primary-color;

$btn-disabled-color: $dark_grey;
$btn-disabled-bg-color: $light_grey;
